/* SETUP  */
/* TYPOGRAPHY */
/* CTA */
/* LAYOUT  */
/* DECORATION */
/* NAVIGATION */


/* ELEMENTS */
/* PROJECT CARD  */



/* SETUP  */

@import url('https://fonts.googleapis.com/css2?family=Inter+Tight:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --primary: #9D00FF;
    --dark: #0A0532;
    --light: #ffffff;
    --bg: #F4F5F9;
}

html {
    font-size: 16px;
    color: var(--dark);
    background-color: var(--light);
    font-family: "Inter Tight", sans-serif;
    scroll-behavior: smooth;
}


img,
video {
    max-width: 100%;
    /* width: 100%;  */
}


/* TYPOGRAPHY */
h1 {
    font-size: 50px;
    font-weight: 500;
    letter-spacing: -0.706px;
    margin: 0;
}

h2 {
    font-size: 35px;
    font-weight: 500;
    letter-spacing: -0.494px;
    margin: 0;
}


h3 {
    font-size: 28px;
    font-weight: 500;
    margin: 0;
}

h4 {
    margin: 0;
    font-weight: 500;
    font-size: 22px;
    line-height: 26px;
}

h5 {
    margin: 0;
    font-size: 16px; 
    font-weight: 600; 
}

p {
    font-size: 18px;

    line-height: 26px;
    font-weight: 400;
    letter-spacing: -0.226px;
    margin: 0;
}


p.caption {
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    text-transform: uppercase;
}

p.feature {
    font-size: 20px;
    line-height: 29px;
    font-style: normal;
    font-weight: 500;
}

span.pull {
    font-weight: 600;
    font-style: italic;
}


/* CTA  */
button {
    padding: 8px 24px;
    border-radius: 20px;
    border: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    color: var(--light);
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: -0.212px;
    cursor: pointer;
    -webkit-transition: all 200ms;
    -o-transition: all 200ms;
    transition: all 200ms;
}

button.primary {
    background-color: var(--primary);
}

button.primary:hover {
    background-color: var(--dark);
}


button.secondary {
    background-color: transparent;
    border: 1px var(--light) solid;
    min-width: 135px;
}

button.secondary:hover {
    background-color: var(--light);
    color: var(--dark);
}


/* LAYOUT  */
.v-space {
    padding-top: 80px;
    padding-bottom: 80px;
}

.v-space-lg {
    padding-top: 88px;
    padding-bottom: 88px;
}

.flexed {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.flexed.gap {
    gap: 8px;
}

.flexed.col {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}

.flexed.wrap {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.flexed.top {
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
}

.flexed.v-center {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.flexed.centered {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.flexed.sb {
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}


.flexed .half {
    width: 50%;
}

.third {
    width: 33.333%;

    padding-right: 50px;
}

.two-third {
    width: 66.666%;
}


.outer {
    padding-left: 80px;
    padding-right: 80px;
    /* border: 1px red solid; s */
}

.inner {
    max-width: 1250px;
    margin: auto;
    /* border:1px blue solid;  */
}


.space-xs {
    margin-bottom: 6px !important;
}

.space-sm {
    margin-bottom: 12px !important;
}

.space-md {
    margin-bottom: 20px !important;
}

.space-lg {
    margin-bottom: 40px !important;
}

.space-xl {
    margin-bottom: 80px !important;
}


/* DECORATION */
.outer.dark {
    background-color: var(--dark);
    color: var(--light);
}


.emblem {
    border-radius: 50%;
    width: 34px;
    height: 34px;
    min-width: 34px;
    border: 1px var(--dark) solid;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}


header .emblem img {
    -webkit-transition: all 450ms;
    -o-transition: all 450ms;
    transition: all 450ms; 
}


header .emblem:hover img {
    -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
            transform: rotate(360deg);
}

.emblem.light {
    border-color: var(--light);
}

.divider {
    height: 1px;
    background-color: var(--dark);
    /* width: 100%; */
}

.title-block {
    gap: 12px;
}

/* NAVIGATION */
header {
    border-bottom: 1px var(--dark) solid;
    padding-top: 8px;
    padding-bottom: 8px;
    position: fixed;
    top: 0;
    width: 100%;
    background-color: var(--light);
    z-index: 999;
}

.top-nav ul {
    gap: 20px;
    list-style: none;
    padding: 0;
}


.nav-link {
    text-decoration: none;
    color: inherit;
    font-weight: 500;
    cursor: pointer;
    -webkit-transition: all 150ms;
    -o-transition: all 150ms;
    transition: all 150ms;
}

.nav-link:hover {
    letter-spacing: 1.4px;
}

.headroom {
    will-change: transform;
    -webkit-transition: -webkit-transform 200ms linear;
    transition: -webkit-transform 200ms linear;
    -o-transition: transform 200ms linear;
    transition: transform 200ms linear;
    transition: transform 200ms linear, -webkit-transform 200ms linear;
}

.headroom--pinned {
    -webkit-transform: translateY(0%);
    -ms-transform: translateY(0%);
    transform: translateY(0%);
}

.headroom--unpinned {
    -webkit-transform: translateY(-100%);
    -ms-transform: translateY(-100%);
    transform: translateY(-100%);
}


/* HERO */
.hero {
    margin-top: 68px;
}

/* ELEMENTS  */

.projects-grid {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 20px 1fr 20px 1fr;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 20px;
}

/* PROJECT LIST */
.project-li {
    width: 100%;
    background-color: var(--light);
    border-bottom: 1px var(--dark) solid;
    padding: 20px 0;
    color: inherit;
    text-decoration: none;
    display: block;
    /* position: relative;  */
}

.project-upper {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
}

.project-title {
    gap: 40px;
}

.project-li .half {
    width: 50%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding-right: 30px; 
}

.project-li .emblem {
    width: 28px;
    height: 28px;
    min-width: 28px;
}

.project-li .emblem img {
    width: 11px !important;
    height: 11px !important;
}

/* PORTFOLIO VIEW  */
.portfolio-view {
    border: 1px var(--dark) solid;
    width: 400px;
    background-color: var(--light);
    padding: 20px;
    border-radius: 10px;
    color: inherit;
    text-decoration: none;
    position: absolute;
    opacity: 0;
    pointer-events: none;
    /* transform: translateY(20px);  */
    /* transition: opacity 100ms; */
    /* transition-delay: 100ms; */
}

/* .portfolio-view.active  {
    opacity: 1; 
    transform: translateY(0px);
} */

.p-link {
    gap: 10px;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    margin-bottom: 10px;
}



/* PROJECT CARD */
.projects-card {
    border: 1px var(--dark) solid;
    border-radius: 20px;
    padding: 20px;
    position: relative;
    height: 140px;
}

.projects-card .arrow {
    top: 20px;
    right: 20px;
    position: absolute;
    border: 1px var(--dark) solid;
    border-radius: 20px;
    width: 30px;
    height: 30px;
}

.projects-card h3 {
    position: absolute;
    bottom: 20px;
    left: 20px;
}

/* FOOTER  */
.emblem-row {
    gap: 12px;
}


footer {
    margin-top: 80px;
}

/* PROJECT MENU  */
.project-menu {
    position: fixed;
    top: 68px;
    width: 100%;
    left: 0;
    /* min-height: calc(100vw - 67px); */
    background-color: var(--light);
    border-top: var(--dark);
    height: 0;
    overflow: hidden;
    -webkit-transition: 400ms;
    -o-transition: 400ms;
    transition: 400ms;
}

/* TOP MENU PROJECTS  */
.project-menu .project-li {
    padding: 20px 80px;
    width: calc(100% - 160px);
}

.project-menu.active {
    overflow: scroll;
    min-height: 100vh;
}

.project-menu .project-li {
    padding: 25px;
    max-width: calc(100vw - 50px);
}

.menu-trigger {
    display: none; 
}

/* ANIMATION SETS  */
.slide-in {
    -webkit-transition: all 200ms;
    -o-transition: all 200ms;
    transition: all 200ms;
    -webkit-transform: translateX(-30px);
        -ms-transform: translateX(-30px);
            transform: translateX(-30px);
    opacity: 0; 
}

.image-block img {
    opacity: 0; 
    -webkit-transform: translateY(40px); 
        -ms-transform: translateY(40px); 
            transform: translateY(40px);
}

.more-flex {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex; 
    -webkit-box-align: center; 
        -ms-flex-align: center; 
            align-items: center; 
    -webkit-box-pack: center; 
        -ms-flex-pack: center; 
            justify-content: center; ;
}
.more-menu-card {
    max-width: 250px; 
}

@media screen and (max-width: 900px) {

    .v-space {
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .space-sm {
        margin-bottom: 8px !important;
    }

}

@media screen and (max-width: 821px) {
    .outer {
        padding-left: 50px;
        padding-right: 50px;
    }

    h2 {
        font-size: 28px;
        line-height: 36px;
    }

    h3 {
        font-size: 24px;
        line-height: 30px;
    }

    p {
        font-size: 16px;
        line-height: 25px;
    }

    .projects-grid {
        -ms-grid-columns: 1fr 20px 1fr;
        grid-template-columns: 1fr 1fr;
    }

    .projects-list {
        display: -ms-grid;
        display: grid;
        gap: 20px;
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }

    .portfolio-view {
        width: auto;
        padding: 15px;
        background: var(--bg);
}

    .project-li {
        gap: 20px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: reverse;
        -ms-flex-direction: column-reverse;
        flex-direction: column-reverse;
        /* border: 1px var(--dark) solid; 
        border-radius: 16px; */
        padding: 20px 0;
    }

    .project-upper {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        gap: 12px;
    }

    .project-upper .half {
        width: 100%;
        -webkit-box-pack: start !important;
        -ms-flex-pack: start !important;
        justify-content: flex-start !important;
        gap: 20px;
    }

    .portfolio-view {
        position: relative;
        opacity: 1;
        padding: 0;
        border: none;
    }


    .portfolio-view .p-link {
        display: none;
    }

    .menu-trigger {
        display: block;
        cursor: pointer; 
    }

    .top-nav {
        position: fixed;
        top: 52px;
        left: 0;
        width: 100%;
        background-color: var(--light);
        height: 0;
        overflow: hidden; 
        -webkit-transition: all 350ms; 
        -o-transition: all 350ms; 
        transition: all 350ms;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
        border-bottom: 1px var(--dark) solid; 
    }

    .nav-cont {
        height: 100vh; 
    }

    .top-nav ul {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
        -webkit-box-align: center;
            -ms-flex-align: center;
                align-items: center;
        -webkit-box-pack: center;
            -ms-flex-pack: center;
                justify-content: center;
        margin-top: 15%;
        gap: 30px; 
    }

    .nav-link {
        font-size: 24px;
    }

    .menu-trigger {
        -webkit-transition: all 150ms;
        -o-transition: all 150ms;
        transition: all 150ms;
    }

    .menu-trigger.active {
        -webkit-transform: rotate(135deg);
            -ms-transform: rotate(135deg);
                transform: rotate(135deg);
    }


}

@media screen and (max-width: 620px) {

    .outer {
        padding-left: 25px;
        padding-right: 25px;
    }

    h1 {
        font-size: 40px;
        line-height: 47px;
    }

    h2 {
        font-size: 26px;
        line-height: 34px;
    }

    h3 {
        font-size: 22px;
        line-height: 28px;
    }

    h4 {
        font-size: 19px;
    }

    p {
        font-size: 16px;
        line-height: 25px;
    }

    p.feature {
        font-size: 18px;
        line-height: 27px;
    }

    .space-lg {
        margin-bottom: 30px !important;
    }



    .v-space-lg {
        padding-top: 75px;
        padding-bottom: 75px;
    }

    /* NAV */
    /* header .outer {
        width: 100vw;
    } */

    .projects-list {
        gap: 0;
    }

    .projects-grid {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }

    .project-li {
        gap: 12px;
        padding: 16px 0;
    }

    .project-upper {
        gap: 6px;
    }

    .half.project-title {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start;
        gap: 0;
    }

     .inner {
        width: calc(100vw - 50px);
     }

     .more-menu-card {
        max-width: 200px;
    }
}